FullscreenButton.prototype = Object.create(RoundRectButton);
FullscreenButton.constructor = FullscreenButton;

function FullscreenButton() {
	game.scale.fullScreenScaleMode = Phaser.ScaleManager.EXACT_FIT;

	var setting = new RoundRectButtonSetting(game.world.width - 30, 30, 50, 50);
	setting.fontStyle.boundsAlignH = "center";	// left, center. right
	setting.fontStyle.boundsAlignV = "middle";	// top, middle, bottom
	setting.strokeWidthPx = 3;
	setting.setStrokeColor(
		0x444488,
		0x6666aa,
		0x6666aa,
		0x333333
	);
	setting.setButtonColor(
		0xaaaadd,
		0xddddff,
		0xddddff,
		0x666666
	);
	setting.setTextColor(
		"#844",
		"#a66",
		"#a66",
		"#333"
	);

	var button = new RoundRectButton(
		setting,
		RoundRectButton.NONE_ICON, RoundRectButton.NONE_BUTTON_TEXT,
		(function() {
			if(game.scale.isFullScreen) {
				game.scale.stopFullScreen();
			} else {
				game.scale.startFullScreen();
			}
		})
	);

	var icon_fullscreen = game.add.sprite(0, 0, 'icon_fullscreen');
	icon_fullscreen.width = 20;
	icon_fullscreen.height = 20;
	button.setIcon(icon_fullscreen);
}